local excam = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")

function onBegin()
	if not getFlag("seenIntro",true) then
		local level = getLevel()
		disableMovement()
		disableRetry()
		-- zoom to a point x, y, amount, duration
		coroutine.yield(excam.Level_ZoomToFocus(getLevel(), vector2 (-180,-220), 1.35, 0.2))
		wait(1.6)
		say("CC_Earthblade_intro")
		coroutine.yield(excam.Level_ZoomBack(getLevel(), 3)) 
		setFlag("seenIntro",true)
		enableMovement()
		enableRetry()
	end
end

function onEnd()
	setFlag("seenIntro",true)
	enableMovement()
	enableRetry()
end